View Issue Details

IDProjectCategoryView StatusLast Update
12869Development [All Projects] Pluginspublic2018-02-16 15:53
ReporterdigitmasterAssigned ToDenisChenu 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version2.5x 
Target VersionFixed in Version3.x 
Summary12869: Auth plugin must have a Permission settings accessible via GUI
Description

The view "application/views/admin/user/editusers.php" is rendered only if the AuthLDAP plugin is active because the plugin name is hardcoded. This makes issues the development of plugins using LDAP because it is not possible for such plugins to add users using LDAP search.
I found this one by myself exacltly while developing the plugin:
https://github.com/digitmaster/limesurveyplugins/tree/master/LowercaseAuthLDAP
which is working in my production intranet site with the patched view.

Pull request:
https://github.com/LimeSurvey/LimeSurvey/pull/852

Additional Information

The patch maintains the same logic of the original version but it renders the LDAP search option if the 'AuthLDAP' substring is found in any active plugin name. The core plugin is obviously included. This will allow plugin development but it must include AuthLDAP in the name.

regards
digitmaster

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2017-11-10 15:38

developer   ~45021

I take it but for 3.0

DenisChenu

DenisChenu

2017-11-10 18:03

developer   ~45039

https://github.com/LimeSurvey/LimeSurvey/pull/859

user70560

2017-11-17 20:00

  ~45108

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=24911

Related Changesets

LimeSurvey: develop 646e8bc3

2017-11-17 20:00:10

user70560


Committer: GitHub Details Diff
Dev: Auth plugin and Permission (#859)

Fixed issue 12869: Auth plugin must have a Permission settings accessible via GUI
New feature : getGlobalBasePermissions event to create new global Permission
Dev: and use it for AuthLDAP and AuthDB
Dev: Fixed issue 12893 initial admin seems to be allowed to log in via LDAP
Dev: did we need disable login for superadmin via LDAP/WebServer ?
Dev: plugin can be extended now (since Permission list can be extended)
Affected Issues
12869, 12893
mod - application/core/plugins/AuthLDAP/AuthLDAP.php Diff File
mod - application/core/plugins/Authwebserver/Authwebserver.php Diff File
mod - application/models/Permission.php Diff File
mod - application/views/admin/user/setuserpermissions.php Diff File

Issue History

Date Modified Username Field Change
2017-11-05 21:19 digitmaster New Issue
2017-11-05 21:19 digitmaster Status new => assigned
2017-11-05 21:19 digitmaster Assigned To => digitmaster
2017-11-05 22:05 digitmaster Description Updated View Revisions
2017-11-06 00:57 digitmaster Additional Information Updated View Revisions
2017-11-06 01:00 digitmaster Summary Pull request: The view "application/views/admin/user/editusers.php" is rendered only if the AuthLDAP plugin is active => Pull request: the view "application/views/admin/user/editusers.php" is rendered only if the AuthLDAP plugin is active
2017-11-06 01:00 digitmaster Additional Information Updated View Revisions
2017-11-10 15:38 DenisChenu Assigned To digitmaster => DenisChenu
2017-11-10 15:38 DenisChenu Note Added: 45021
2017-11-10 15:39 DenisChenu Summary Pull request: the view "application/views/admin/user/editusers.php" is rendered only if the AuthLDAP plugin is active => Auth plugin must have a Permission settings accessible via GUI
2017-11-10 18:03 DenisChenu Note Added: 45039
2017-11-17 20:00 user70560 Changeset attached => LimeSurvey develop 646e8bc3
2017-11-17 20:00 user70560 Note Added: 45108
2017-11-17 20:00 user70560 Assigned To DenisChenu => user70560
2017-11-17 20:00 user70560 Resolution open => fixed
2017-11-17 20:01 DenisChenu Assigned To user70560 => DenisChenu
2017-11-17 20:01 DenisChenu Status assigned => resolved
2017-11-17 20:01 DenisChenu Fixed in Version => 3.x
2018-02-16 15:53 c_schmitz Status resolved => closed